# -*- coding: utf-8 -*-
# Generated by Django 1.10.3 on 2017-02-04 23:08
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import django_countries.fields
import exclusivebooleanfield.fields


class Migration(migrations.Migration):

    dependencies = [
        ('driver27', '0002_auto_20161103_0846'),
    ]

    operations = [
        migrations.CreateModel(
            name='SeatsSeason',
            fields=[
            ],
            options={
                'verbose_name': 'Seats by season',
                'proxy': True,
                'verbose_name_plural': 'Seats by season',
            },
            bases=('driver27.season',),
        ),
        migrations.AlterModelOptions(
            name='circuit',
            options={'ordering': ['name'], 'verbose_name': 'Circuit', 'verbose_name_plural': 'Circuits'},
        ),
        migrations.AlterModelOptions(
            name='competition',
            options={'ordering': ['name'], 'verbose_name': 'Competition', 'verbose_name_plural': 'Competitions'},
        ),
        migrations.AlterModelOptions(
            name='contender',
            options={'ordering': ['competition__name', 'driver__last_name', 'driver__first_name'], 'verbose_name': 'Contender', 'verbose_name_plural': 'Contenders'},
        ),
        migrations.AlterModelOptions(
            name='driver',
            options={'ordering': ['last_name', 'first_name'], 'verbose_name': 'Driver', 'verbose_name_plural': 'Drivers'},
        ),
        migrations.AlterModelOptions(
            name='grandprix',
            options={'ordering': ['name'], 'verbose_name': 'Grand Prix', 'verbose_name_plural': 'Grands Prix'},
        ),
        migrations.AlterModelOptions(
            name='race',
            options={'ordering': ['season', 'round'], 'verbose_name': 'Race', 'verbose_name_plural': 'Races'},
        ),
        migrations.AlterModelOptions(
            name='result',
            options={'ordering': ['race__season', 'race__round', 'finish', 'qualifying'], 'verbose_name': 'Result', 'verbose_name_plural': 'Results'},
        ),
        migrations.AlterModelOptions(
            name='season',
            options={'ordering': ['competition__name', 'year'], 'verbose_name': 'Season', 'verbose_name_plural': 'Seasons'},
        ),
        migrations.AlterModelOptions(
            name='seat',
            options={'ordering': ['current', 'contender__driver__last_name', 'team'], 'verbose_name': 'Seat', 'verbose_name_plural': 'Seats'},
        ),
        migrations.AlterModelOptions(
            name='team',
            options={'ordering': ['name'], 'verbose_name': 'Team', 'verbose_name_plural': 'Teams'},
        ),
        migrations.AlterField(
            model_name='circuit',
            name='city',
            field=models.CharField(blank=True, max_length=100, null=True, verbose_name='city'),
        ),
        migrations.AlterField(
            model_name='circuit',
            name='country',
            field=django_countries.fields.CountryField(max_length=2, verbose_name='country'),
        ),
        migrations.AlterField(
            model_name='circuit',
            name='opened_in',
            field=models.IntegerField(verbose_name='opened in'),
        ),
        migrations.AlterField(
            model_name='competition',
            name='country',
            field=django_countries.fields.CountryField(blank=True, default=None, max_length=2, null=True, verbose_name='country'),
        ),
        migrations.AlterField(
            model_name='competition',
            name='full_name',
            field=models.CharField(max_length=100, unique=True, verbose_name='full name'),
        ),
        migrations.AlterField(
            model_name='contender',
            name='competition',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='contenders', to='driver27.Competition', verbose_name='competition'),
        ),
        migrations.AlterField(
            model_name='contender',
            name='driver',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='career', to='driver27.Driver', verbose_name='driver'),
        ),
        migrations.AlterField(
            model_name='contender',
            name='teams',
            field=models.ManyToManyField(related_name='contenders', through='driver27.Seat', to='driver27.Team', verbose_name='teams'),
        ),
        migrations.AlterField(
            model_name='driver',
            name='competitions',
            field=models.ManyToManyField(related_name='drivers', through='driver27.Contender', to='driver27.Competition', verbose_name='competitions'),
        ),
        migrations.AlterField(
            model_name='driver',
            name='country',
            field=django_countries.fields.CountryField(max_length=2, verbose_name='country'),
        ),
        migrations.AlterField(
            model_name='driver',
            name='first_name',
            field=models.CharField(max_length=25, verbose_name='first name'),
        ),
        migrations.AlterField(
            model_name='driver',
            name='last_name',
            field=models.CharField(max_length=50, verbose_name='last name'),
        ),
        migrations.AlterField(
            model_name='driver',
            name='year_of_birth',
            field=models.IntegerField(verbose_name='year of birth'),
        ),
        migrations.AlterField(
            model_name='grandprix',
            name='competitions',
            field=models.ManyToManyField(default=None, related_name='grands_prix', to='driver27.Competition', verbose_name='competitions'),
        ),
        migrations.AlterField(
            model_name='grandprix',
            name='country',
            field=django_countries.fields.CountryField(blank=True, default=None, max_length=2, null=True, verbose_name='country'),
        ),
        migrations.AlterField(
            model_name='grandprix',
            name='default_circuit',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='default_to_grands_prix', to='driver27.Circuit', verbose_name='default circuit'),
        ),
        migrations.AlterField(
            model_name='grandprix',
            name='first_held',
            field=models.IntegerField(blank=True, null=True, verbose_name='first held'),
        ),
        migrations.AlterField(
            model_name='race',
            name='alter_punctuation',
            field=models.CharField(blank=True, choices=[('double', 'Double'), ('half', 'Half')], default=None, max_length=6, null=True, verbose_name='alter punctuation'),
        ),
        migrations.AlterField(
            model_name='race',
            name='circuit',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='races', to='driver27.Circuit', verbose_name='circuit'),
        ),
        migrations.AlterField(
            model_name='race',
            name='date',
            field=models.DateField(blank=True, default=None, null=True, verbose_name='date'),
        ),
        migrations.AlterField(
            model_name='race',
            name='grand_prix',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='races', to='driver27.GrandPrix', verbose_name='grand prix'),
        ),
        migrations.AlterField(
            model_name='race',
            name='round',
            field=models.IntegerField(verbose_name='round'),
        ),
        migrations.AlterField(
            model_name='race',
            name='season',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='races', to='driver27.Season', verbose_name='season'),
        ),
        migrations.AlterField(
            model_name='result',
            name='comment',
            field=models.CharField(blank=True, default=None, max_length=250, null=True, verbose_name='comment'),
        ),
        migrations.AlterField(
            model_name='result',
            name='fastest_lap',
            field=exclusivebooleanfield.fields.ExclusiveBooleanField(default=False, on=('race',), verbose_name='fastest lap'),
        ),
        migrations.AlterField(
            model_name='result',
            name='finish',
            field=models.IntegerField(blank=True, default=None, null=True, verbose_name='finish'),
        ),
        migrations.AlterField(
            model_name='result',
            name='qualifying',
            field=models.IntegerField(blank=True, default=None, null=True, verbose_name='qualifying'),
        ),
        migrations.AlterField(
            model_name='result',
            name='race',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='results', to='driver27.Race', verbose_name='race'),
        ),
        migrations.AlterField(
            model_name='result',
            name='retired',
            field=models.BooleanField(default=False, verbose_name='retired'),
        ),
        migrations.AlterField(
            model_name='result',
            name='seat',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='results', to='driver27.Seat', verbose_name='seat'),
        ),
        migrations.AlterField(
            model_name='result',
            name='wildcard',
            field=models.BooleanField(default=False, verbose_name='wildcard'),
        ),
        migrations.AlterField(
            model_name='season',
            name='competition',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='seasons', to='driver27.Competition', verbose_name='competition'),
        ),
        migrations.AlterField(
            model_name='season',
            name='punctuation',
            field=models.CharField(default=None, max_length=20, null=True, verbose_name='punctuation'),
        ),
        migrations.AlterField(
            model_name='season',
            name='rounds',
            field=models.IntegerField(blank=True, default=None, null=True, verbose_name='rounds'),
        ),
        migrations.AlterField(
            model_name='season',
            name='teams',
            field=models.ManyToManyField(related_name='seasons', through='driver27.TeamSeason', to='driver27.Team', verbose_name='teams'),
        ),
        migrations.AlterField(
            model_name='season',
            name='year',
            field=models.IntegerField(verbose_name='year'),
        ),
        migrations.AlterField(
            model_name='seat',
            name='contender',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='seats', to='driver27.Contender', verbose_name='contender'),
        ),
        migrations.AlterField(
            model_name='seat',
            name='current',
            field=exclusivebooleanfield.fields.ExclusiveBooleanField(default=False, on=('contender',), verbose_name='current team'),
        ),
        migrations.AlterField(
            model_name='seat',
            name='seasons',
            field=models.ManyToManyField(blank=True, default=None, related_name='seats', to='driver27.Season', verbose_name='seasons'),
        ),
        migrations.AlterField(
            model_name='seat',
            name='team',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='seats', to='driver27.Team', verbose_name='team'),
        ),
        migrations.AlterField(
            model_name='team',
            name='competitions',
            field=models.ManyToManyField(related_name='teams', to='driver27.Competition', verbose_name='competitions'),
        ),
        migrations.AlterField(
            model_name='team',
            name='country',
            field=django_countries.fields.CountryField(max_length=2, verbose_name='country'),
        ),
        migrations.AlterField(
            model_name='team',
            name='full_name',
            field=models.CharField(max_length=200, unique=True, verbose_name='full name'),
        ),
        migrations.AlterField(
            model_name='teamseason',
            name='season',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='teams_season', to='driver27.Season', verbose_name='season'),
        ),
        migrations.AlterField(
            model_name='teamseason',
            name='sponsor_name',
            field=models.CharField(blank=True, default=None, max_length=75, null=True, verbose_name='sponsor name'),
        ),
        migrations.AlterField(
            model_name='teamseason',
            name='team',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='seasons_team', to='driver27.Team', verbose_name='team'),
        ),
    ]
